Retrieve a dispute
curl --request GET \
--url https://checkout.kalixo.io/v1/disputes/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://checkout.kalixo.io/v1/disputes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://checkout.kalixo.io/v1/disputes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://checkout.kalixo.io/v1/disputes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "dp_01JABCDEF",
"object": "dispute",
"payment": "<string>",
"status": "needs_response",
"amount": 1,
"currency": "EUR",
"created_at": "2023-11-07T05:31:56Z",
"reason_code": "<string>",
"reason": "<string>",
"evidence_due_by": "2023-11-07T05:31:56Z",
"evidence": [
{
"id": "<string>",
"document_type": "<string>",
"file_name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "invalid_request_error",
"code": "amount_locked",
"message": "<string>",
"request_id": "<string>",
"decline_code": "<string>",
"param": "<string>"
}
}Disputes
Retrieve a dispute
GET
/
v1
/
disputes
/
{id}
Retrieve a dispute
curl --request GET \
--url https://checkout.kalixo.io/v1/disputes/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://checkout.kalixo.io/v1/disputes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://checkout.kalixo.io/v1/disputes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://checkout.kalixo.io/v1/disputes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "dp_01JABCDEF",
"object": "dispute",
"payment": "<string>",
"status": "needs_response",
"amount": 1,
"currency": "EUR",
"created_at": "2023-11-07T05:31:56Z",
"reason_code": "<string>",
"reason": "<string>",
"evidence_due_by": "2023-11-07T05:31:56Z",
"evidence": [
{
"id": "<string>",
"document_type": "<string>",
"file_name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "invalid_request_error",
"code": "amount_locked",
"message": "<string>",
"request_id": "<string>",
"decline_code": "<string>",
"param": "<string>"
}
}Authorizations
Secret key, kc_sk_test_... or kc_sk_live_.... Server-side only.
Path Parameters
Response
The dispute.
Example:
"dp_01JABCDEF"
Allowed value:
"dispute"Available options:
needs_response, under_review, funds_withdrawn, won, lost, accepted Amount in the currency's minor unit.
Required range:
x >= 0ISO 4217 currency code, uppercase.
Pattern:
^[A-Z]{3}$Example:
"EUR"
Show child attributes
Show child attributes